<form action="" [formGroup]="parentForm" class="myForm">
    <mat-form-field class="example-full-width" appearance="outline">
        <input matInput placeholder="title" formControlName="title">
    </mat-form-field>

    <mat-form-field appearance="outline">
        <mat-label>Size</mat-label>
        <mat-select formControlName="size">
          <mat-option *ngFor="let size of sizes" [value]="size">
            {{size}}
          </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field appearance="outline">
        <input matInput [matDatepicker]="picker" placeholder="Choose a date" formControlName="date">
        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
    <mat-form-field class="example-full-width" appearance="outline">
        <input matInput placeholder="url de l'image" formControlName="imgUrl">
    </mat-form-field>
</form>